package melody.offline.music.util

import android.util.Log
import melody.offline.music.BuildConfig

object LogTag {
    const val VO_ACT_LOG = "vo-act—log"
    const val VO_FRAGMENT_LOG = "vo-fragment-log"
    const val VO_API_LOG = "vo-api—log"
    const val VO_SERVICE_LOG = "vo-service—log"
    const val VO_REMOTE_ONLY = "vo-remote—log"
    const val VO_TEST_ONLY = "vo-only—log"

    fun LogD(tag: String, message: String) {
        if (BuildConfig.DEBUG) {
            Log.d(tag, message)
        }
    }

    fun LogE(tag: String, message: String) {
        if (BuildConfig.DEBUG) {
            Log.e(tag, message)
        }
    }
}